//app.js
App({
  //设置全局请求URL
  globalData:{
    apiUrl: 'https://seex.inner.iouou.cn/AppApi/',
  },
  onLaunch: function () {
  },
  getToken: function () {
    let me =this;
    return new Promise(function (resolve, reject) {
      // 获取本地缓存的token
      wx.getStorage({
        key: 'token',
        fail (res) {
          // 没登录（没有token时）
          console.log(res.errMsg)
          wx.login({
            success (res) {
              console.log(res)
              if (res.code) {
                // 发送 res.code 到后台换取 openId, sessionKey, unionId
                wx.request({
                  url: me.globalData.apiUrl + 'users/token',
                  method: 'POST',
                  data: {
                    code: res.code
                  },
                  success: function (res) {
                    if(res.data.errno==200){
                      // 获取token并本地缓存
                      console.log(res.data.data.token)
                      wx.setStorage({
                        key: "token",
                        data: res.data.data.token
                      })
                      let resStatus = {
                        status: 200
                      }
                      resolve(resStatus);
                    }else{
                      //打印错误信息
                      console.log(res.data.msg)
                      reject('error');
                    }
                  }
                })
              } else {
                console.log('获取用户登录态失败！' + res.errMsg);
                reject('error');
              }
            }
          })
        },
        success(){
          let resStatus = {
            status: 200
          }
          resolve(resStatus);
        }
      })
    });
  },
})